import { RefreshOptions, RefreshService } from './types';
import { PermissionsService } from '@backstage/backend-plugin-api';
export declare class AuthorizedRefreshService implements RefreshService {
    private readonly service;
    private readonly permissionApi;
    constructor(service: RefreshService, permissionApi: PermissionsService);
    refresh(options: RefreshOptions): Promise<void>;
}
